Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.actions
Class UIPrefs

    java.lang.Object
      com.eviware.soapui.actions.UIPrefs

All Implemented Interfaces:
  Prefs

    public class UIPrefs

extends java.lang.Object
implements Prefs

Preferences class for UISettings

Author:
  ole.matzura

Field Summary
`static java.lang.String` | `ABORT_ON_INVALID_REQUEST`
`static java.lang.String` | `AUTO_VALIDATE_REQUEST`
`static java.lang.String` | `AUTO_VALIDATE_RESPONSE`
`static java.lang.String` | `BACKUP_FOLDER`
`static java.lang.String` | `CREATE_BACKUP`
`static java.lang.String` | `DESKTOP_TYPE`
`static java.lang.String` | `ENABLE_GROOVY_LOG_DURING_LOADTEST`
`static java.lang.String` | `NATIVE_LAF`
`static java.lang.String` | `NO_RESIZE_REQUEST_EDITOR`
`static java.lang.String` | `ORDER_PROJECTS`
`static java.lang.String` | `ORDER_REQUESTS`
`static java.lang.String` | `ORDER_TESTSUITES`
`static java.lang.String` | `START_WITH_REQUEST_TABS`

Constructor Summary
`UIPrefs(java.lang.String title)`

Method Summary
`SimpleForm` | `getForm()`
`void` | `getFormValues(Settings settings)`
`java.lang.String` | `getTitle()`
`StringToStringMap` | `getValues(Settings settings)`
`void` | `setFormValues(Settings settings)`
`void` | `storeValues(StringToStringMap values, Settings settings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORDER_PROJECTS

    public static final java.lang.String ORDER_PROJECTS

See Also:
  Constant Field Values

### ORDER_TESTSUITES

    public static final java.lang.String ORDER_TESTSUITES

See Also:
  Constant Field Values

### ORDER_REQUESTS

    public static final java.lang.String ORDER_REQUESTS

See Also:
  Constant Field Values

### NO_RESIZE_REQUEST_EDITOR

    public static final java.lang.String NO_RESIZE_REQUEST_EDITOR

See Also:
  Constant Field Values

### START_WITH_REQUEST_TABS

    public static final java.lang.String START_WITH_REQUEST_TABS

See Also:
  Constant Field Values

### AUTO_VALIDATE_REQUEST

    public static final java.lang.String AUTO_VALIDATE_REQUEST

See Also:
  Constant Field Values

### ABORT_ON_INVALID_REQUEST

    public static final java.lang.String ABORT_ON_INVALID_REQUEST

See Also:
  Constant Field Values

### AUTO_VALIDATE_RESPONSE

    public static final java.lang.String AUTO_VALIDATE_RESPONSE

See Also:
  Constant Field Values

### CREATE_BACKUP

    public static final java.lang.String CREATE_BACKUP

See Also:
  Constant Field Values

### BACKUP_FOLDER

    public static final java.lang.String BACKUP_FOLDER

See Also:
  Constant Field Values

### DESKTOP_TYPE

    public static final java.lang.String DESKTOP_TYPE

See Also:
  Constant Field Values

### NATIVE_LAF

    public static final java.lang.String NATIVE_LAF

See Also:
  Constant Field Values

### ENABLE_GROOVY_LOG_DURING_LOADTEST

    public static final java.lang.String ENABLE_GROOVY_LOG_DURING_LOADTEST

See Also:
  Constant Field Values

Constructor Detail

### UIPrefs

    public UIPrefs(java.lang.String title)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Prefs`

### getForm

    public SimpleForm getForm()

  Specified by:
    `getForm` in interface `Prefs`

### getFormValues

    public void getFormValues(Settings settings)

  Specified by:
    `getFormValues` in interface `Prefs`

### storeValues

    public void storeValues(StringToStringMap values,
                            Settings settings)

  Specified by:
    `storeValues` in interface `Prefs`

### setFormValues

    public void setFormValues(Settings settings)

  Specified by:
    `setFormValues` in interface `Prefs`

### getValues

    public StringToStringMap getValues(Settings settings)

  Specified by:
    `getValues` in interface `Prefs`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.